Minimax Videos
curl --request POST \
--url https://api.acedata.cloud/minimax/videos \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "MiniMax-H3",
"content": [
{
"type": "text",
"text": "让画面中的人物自然移动,镜头缓慢推进"
},
{
"type": "image_url",
"image_url": {
"url": "https://cdn.acedata.cloud/b1c82e4937.png"
},
"role": "first_frame"
}
],
"resolution": "2K",
"duration": 5
}
'import requests
url = "https://api.acedata.cloud/minimax/videos"
payload = {
"model": "MiniMax-H3",
"content": [
{
"type": "text",
"text": "让画面中的人物自然移动,镜头缓慢推进"
},
{
"type": "image_url",
"image_url": { "url": "https://cdn.acedata.cloud/b1c82e4937.png" },
"role": "first_frame"
}
],
"resolution": "2K",
"duration": 5
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'MiniMax-H3',
content: [
{type: 'text', text: '让画面中的人物自然移动,镜头缓慢推进'},
{
type: 'image_url',
image_url: {url: 'https://cdn.acedata.cloud/b1c82e4937.png'},
role: 'first_frame'
}
],
resolution: '2K',
duration: 5
})
};
fetch('https://api.acedata.cloud/minimax/videos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"task": {
"id": "<string>",
"model": "MiniMax-H3",
"status": "queued",
"task_type": "generation",
"modality": "video",
"error": {
"code": "<string>",
"message": "<string>"
},
"created_at": 123,
"updated_at": 123,
"content": {
"url": "<string>"
},
"resolution": "768P",
"duration": 123,
"usage": {
"total_seconds": 123,
"input_seconds": 123,
"output_seconds": 123,
"input_image_count": 123
},
"ratio": "<string>"
}
}{
"type": "error",
"error": {
"type": "bad_request_error",
"message": "The request parameters are invalid.",
"http_code": "400"
},
"request_id": "req_7f8c2b1a"
}{
"error": {
"code": "invalid_token",
"message": "The token is invalid."
},
"trace_id": "trace_7f8c2b1a"
}{
"error": {
"code": "used_up",
"message": "The available balance is insufficient for this request."
},
"trace_id": "trace_7f8c2b1a"
}{
"type": "error",
"error": {
"type": "unprocessable_entity_error",
"message": "The request did not pass content safety checks.",
"http_code": "422"
},
"request_id": "req_7f8c2b1a"
}{
"type": "error",
"error": {
"type": "rate_limit_error",
"message": "Too many requests. Try again later.",
"http_code": "429"
},
"request_id": "req_7f8c2b1a"
}{
"type": "error",
"error": {
"type": "server_error",
"message": "The service is temporarily unavailable.",
"http_code": "500"
},
"request_id": "req_7f8c2b1a"
}API Reference
Minimax Videos
POST
/
minimax
/
videos
Minimax Videos
curl --request POST \
--url https://api.acedata.cloud/minimax/videos \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "MiniMax-H3",
"content": [
{
"type": "text",
"text": "让画面中的人物自然移动,镜头缓慢推进"
},
{
"type": "image_url",
"image_url": {
"url": "https://cdn.acedata.cloud/b1c82e4937.png"
},
"role": "first_frame"
}
],
"resolution": "2K",
"duration": 5
}
'import requests
url = "https://api.acedata.cloud/minimax/videos"
payload = {
"model": "MiniMax-H3",
"content": [
{
"type": "text",
"text": "让画面中的人物自然移动,镜头缓慢推进"
},
{
"type": "image_url",
"image_url": { "url": "https://cdn.acedata.cloud/b1c82e4937.png" },
"role": "first_frame"
}
],
"resolution": "2K",
"duration": 5
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'MiniMax-H3',
content: [
{type: 'text', text: '让画面中的人物自然移动,镜头缓慢推进'},
{
type: 'image_url',
image_url: {url: 'https://cdn.acedata.cloud/b1c82e4937.png'},
role: 'first_frame'
}
],
resolution: '2K',
duration: 5
})
};
fetch('https://api.acedata.cloud/minimax/videos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"task": {
"id": "<string>",
"model": "MiniMax-H3",
"status": "queued",
"task_type": "generation",
"modality": "video",
"error": {
"code": "<string>",
"message": "<string>"
},
"created_at": 123,
"updated_at": 123,
"content": {
"url": "<string>"
},
"resolution": "768P",
"duration": 123,
"usage": {
"total_seconds": 123,
"input_seconds": 123,
"output_seconds": 123,
"input_image_count": 123
},
"ratio": "<string>"
}
}{
"type": "error",
"error": {
"type": "bad_request_error",
"message": "The request parameters are invalid.",
"http_code": "400"
},
"request_id": "req_7f8c2b1a"
}{
"error": {
"code": "invalid_token",
"message": "The token is invalid."
},
"trace_id": "trace_7f8c2b1a"
}{
"error": {
"code": "used_up",
"message": "The available balance is insufficient for this request."
},
"trace_id": "trace_7f8c2b1a"
}{
"type": "error",
"error": {
"type": "unprocessable_entity_error",
"message": "The request did not pass content safety checks.",
"http_code": "422"
},
"request_id": "req_7f8c2b1a"
}{
"type": "error",
"error": {
"type": "rate_limit_error",
"message": "Too many requests. Try again later.",
"http_code": "429"
},
"request_id": "req_7f8c2b1a"
}{
"type": "error",
"error": {
"type": "server_error",
"message": "The service is temporarily unavailable.",
"http_code": "500"
},
"request_id": "req_7f8c2b1a"
}Авторизации
API token from https://platform.acedata.cloud
Тело
application/json
Minimax Videos Model
Доступные опции:
MiniMax-H3 Пример:
"MiniMax-H3"
Minimax Videos Content
Minimum array length:
1- Option 1
- Option 2
- Option 3
- Option 4
Show child attributes
Show child attributes
Minimax Videos Resolution
Доступные опции:
480P, 768P, 2K Minimax Videos Duration
Требуемый диапазон:
4 <= x <= 15Minimax Videos Ratio
Доступные опции:
adaptive, 21:9, 16:9, 4:3, 1:1, 3:4, 9:16 Minimax Videos Callback Url
Minimax Videos Async
Ответ
Minimax Videos Response 200
- Option 1
- Option 2
Show child attributes
Show child attributes
Была ли эта страница полезной?

